# Load libraries
from machine import Pin, Timer

# Initialization of GPIO as input
sensor = Pin(18, Pin.IN, Pin.PULL_DOWN)

# Create timer
timer = Timer()

# Set counter to 0
counter = 0

# Function: Count steps
def step(timer):
    global counter
    counter = counter + 1
    print(counter)

# Function: Barrier
def barrier(pin):
    # Debounce function: Set timer
    timer.init(mode=Timer.ONE_SHOT, period=100, callback=step)

# Initialization interrupt
sensor.irq(trigger=Pin.IRQ_FALLING, handler=barrier)